Package org.apache.tomcat.util.descriptor.tld

## Class TldRuleSet.Variable

- java.lang.Object
- - org.apache.tomcat.util.descriptor.tld.TldRuleSet.Variable

Enclosing class:
  TldRuleSet

    public static class TldRuleSet.Variable
    extends java.lang.Object

### Constructor Summary

Constructors
`Variable()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setClassName​(java.lang.String className)`
`void` `setDeclare​(boolean declare)`
`void` `setNameFromAttribute​(java.lang.String nameFromAttribute)`
`void` `setNameGiven​(java.lang.String nameGiven)`
`void` `setScope​(java.lang.String scopeName)`
`TagVariableInfo` `toTagVariableInfo()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Variable

    public Variable()

### Method Detail

#### setNameGiven

    public void setNameGiven​(java.lang.String nameGiven)

#### setNameFromAttribute

    public void setNameFromAttribute​(java.lang.String nameFromAttribute)

#### setClassName

    public void setClassName​(java.lang.String className)

#### setDeclare

    public void setDeclare​(boolean declare)

#### setScope

    public void setScope​(java.lang.String scopeName)

#### toTagVariableInfo

    public TagVariableInfo toTagVariableInfo()